<kd-card role="table"
         [hidden]=false>
  <div title
       fxLayout="row"
       i18n>Results of query</div>
  <div description><span class="kd-muted-light"
                         i18n>Items:&nbsp;</span>{{getNumberOfItems()}}</div>
  <div actions>
    <kd-card-list-filter></kd-card-list-filter>
  </div>
  <div content
       [hidden]="false">
    <button mat-button (click)="updateAll('true')">Select all</button>
    <button mat-button (click)="updateAll('false')">Deselect all</button>
    <mat-list>
      <mat-list-item *ngFor="let node of getNodes()">
        <mat-checkbox [checked]="isSelected(node)" (click)="update(!isSelected(node), node)"></mat-checkbox>
        <mat-icon matListIcon>cloud</mat-icon>
        <a matLine [routerLink]="getLink(node)" queryParamsHandling="preserve">{{ node.objectMeta.name }}</a>
      </mat-list-item>
    </mat-list>
  </div>
</kd-card>
